Bug 834206 - RESTAPI: RSDL does not report /name/ as update field for network
RESTAPI: RSDL does not report /name/ as update field for network
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ori Liel
Yaniv Kaul
infra network
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 04:37 EDT by Michael Pasternak
Modified: 2014-01-12 19:37 EST (History)
9 users (show)

See Also:
Fixed In Version: si11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-06-21 04:37:45 EDT

    
Comment 3 RHEL Product and Program Management 2012-07-05 04:05:32 EDT
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 4 Michael Pasternak 2012-07-05 04:17:27 EDT
in cli/sdk/rsdl you will see /network.name/ as update-able field
Comment 5 Ori Liel 2012-07-15 09:26:38 EDT
merged, commit d66829f82f69dd5938e5d599b03ab040485ce4d7
Comment 6 Avi Tal 2012-07-24 08:27:03 EDT
Verify on SI11 - PASS

<link href="/api/networks/{network:id}" rel="update">
        <request>
                <http_method>PUT</http_method>
                <headers>
                        <header>
                                <name>Content-Type</name>
                                <value>application/xml|json</value>
                        </header>
                </headers>
                <body>
                        <type>Network</type>
                        <parameters_set>
                                <parameter required="false" type="xs:string">
                                        <name>network.name</name>
                                </parameter>
...

Note You need to log in before you can comment on or make changes to this bug.